## NAME

v.neighbors - Neighborhood analysis tool for vector point maps.
Makes each cell value a function of the attribute values assigned to the vector points or centroids around it, and stores new cell values in an output raster map.

## KEYWORDS

vector, algebra, statistics, raster, aggregation

## SYNOPSIS

v.neighbors
v.neighbors --help
v.neighbors input=name [layer=string] output=name method=string size=float [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
layer=string
  Layer number or name ('-1' for all layers)
  A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
  Default: -1
output=name [required]
  Name for output raster map
method=string [required]
  Neighborhood operation
  Options: count
  Default: count
size=float [required]
  Neighborhood diameter in map units

## DESCRIPTION

Makes each cell value a function of the attribute values assigned to the vector points or centroids around it, and stores new cell values in an output raster map layer.

## EXAMPLE

Count the number of schools for a given grid (North Carolina sample dataset):

    g.region vector=schools_wake res=100 -p -a
    v.neighbors input=schools_wake output=schools_wake_3000m method=count size=3000

    d.mon wx0
    d.rast schools_wake_3000m
    d.vect schools_wake

The result gives for each grid cell the number of points (here: schools) not farther than 1500 meter away (half of the given size value) from the respective cell center.

## SEE ALSO

r.neighbors

## AUTHOR

Radim Blazek

## SOURCE CODE

Available at: v.neighbors source code (history)

Latest change: Mon Nov 18 20:15:32 2019 in commit: 1a1d107e4f6e1b846f9841c2c6fabf015c5f720d

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.8dev Reference Manual